<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <RelativeLayout
        android:id="@+id/rootview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f0">

        <com.qmuiteam.qmui.widget.QMUITopBar
            android:id="@+id/cold_chain_order_detail_top_bar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/head_height"
            android:fitsSystemWindows="true"
            app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
            app:qmui_topbar_title_color="@color/theme_white_color" />

        <!--        按鈕佈局-->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_order_details_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/scroll_order_info"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/rv_order_details_btn"
            android:layout_below="@id/cold_chain_order_detail_top_bar">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_white_eight_corners_bg"
                    android:orientation="vertical"
                    android:paddingBottom="@dimen/dp_10">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/tv_order_from"
                            style="@style/order_details_title_Style"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                            android:textSize="@dimen/dp_16"
                            android:textStyle="normal"
                            tools:text="訂單來源" />

                        <TextView
                            android:id="@+id/tv_order_state"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_margin="@dimen/other_order_info_dialog_content_marginRight"
                            android:textColor="#009788"
                            android:textSize="@dimen/dp_15"
                            tools:text="訂單狀態" />
                    </RelativeLayout>

                    <include layout="@layout/include_horizontal_color_eee_dividing_line" />
                    <!-- 訂單號-->
                    <TextView
                        android:id="@+id/tv_order_id"
                        style="@style/otherOrder_details_twelve_text_Style"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                        android:layout_marginTop="@dimen/dp_10"
                        tools:text="訂單號：" />
                    <!-- 訂單編號-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10"
                        android:orientation="horizontal">

                        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                            android:id="@+id/tv_order_no"
                            style="@style/otherOrder_details_twelve_text_Style"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:drawableRight="@drawable/ic_black_copy"
                            android:drawablePadding="@dimen/dp_5"
                            tools:text="訂單編號：" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1" />

                        <ImageView
                            android:id="@+id/iv_cold_chain_query_prj"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/ic_prj_query" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/tv_create_time"
                        style="@style/otherOrder_details_twelve_text_Style"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:layout_marginRight="@dimen/dp_10"
                        tools:text="開單時間：" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_white_eight_corners_bg"
                    android:orientation="vertical"
                    android:paddingBottom="@dimen/dp_10">

                    <TextView
                        style="@style/order_details_title_Style"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/other_order_info_dialog_content_marginLeft"
                        android:text="訂單詳情" />

                    <include layout="@layout/include_horizontal_color_eee_dividing_line" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:paddingLeft="@dimen/dp_7"
                        android:paddingRight="@dimen/dp_14">

                        <TextView
                            android:id="@+id/tv_receiver_text"
                            style="@style/otherOrderReceiving_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收貨人：" />

                        <TextView
                            android:id="@+id/tv_receiver"
                            style="@style/otherOrderReceiving_information_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_receiver_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/rl_bill_num"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:paddingLeft="@dimen/dp_7"
                        android:paddingRight="@dimen/dp_14">

                        <TextView
                            android:id="@+id/tv_bill_num_text"
                            style="@style/otherOrderReceiving_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="訂單碼：" />

                        <TextView
                            android:id="@+id/tv_bill_num"
                            style="@style/otherOrderReceiving_information_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_bill_num_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:paddingLeft="@dimen/dp_7"
                        android:paddingRight="@dimen/dp_14">

                        <TextView
                            android:id="@+id/tv_receive_phone_text"
                            style="@style/otherOrderReceiving_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收貨電話：" />

                        <TextView
                            android:id="@+id/tv_receive_phone"
                            style="@style/otherOrderReceiving_information_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_receive_phone_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:paddingLeft="@dimen/dp_7"
                        android:paddingRight="@dimen/dp_14">

                        <TextView
                            android:id="@+id/tv_receive_time_text"
                            style="@style/otherOrderReceiving_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收貨時間：" />

                        <TextView
                            android:id="@+id/tv_receive_time"
                            style="@style/otherOrderReceiving_information_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_receive_time_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:paddingLeft="@dimen/dp_7"
                        android:paddingRight="@dimen/dp_14">

                        <TextView
                            android:id="@+id/tv_receive_address_text"
                            style="@style/otherOrderReceiving_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收貨地址：" />

                        <TextView
                            android:id="@+id/tv_receive_address"
                            style="@style/otherOrderReceiving_information_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_receive_address_text"
                            android:gravity="right"
                            tools:text="地址" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_14"
                        android:paddingLeft="@dimen/dp_7"
                        android:paddingRight="@dimen/dp_14">

                        <TextView
                            android:id="@+id/tv_remark_text"
                            style="@style/otherOrderReceiving_title_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="備註：" />

                        <TextView
                            android:id="@+id/tv_remark"
                            style="@style/otherOrderReceiving_information_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_remark_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <!--                    <RelativeLayout-->
                    <!--                        android:layout_width="match_parent"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:layout_marginTop="@dimen/dp_14"-->
                    <!--                        android:paddingLeft="@dimen/dp_7"-->
                    <!--                        android:paddingRight="@dimen/dp_14">-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_delivery_man_name_text"-->
                    <!--                            style="@style/otherOrderReceiving_title_textStyle"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            tools:text="派送員名稱："-->
                    <!--                            android:layout_height="wrap_content" />-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_delivery_man_name"-->
                    <!--                            style="@style/otherOrderReceiving_information_textStyle"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_alignParentRight="true"-->
                    <!--                            android:layout_toRightOf="@id/tv_delivery_man_name_text"-->
                    <!--                            android:gravity="right" />-->
                    <!--                    </RelativeLayout>-->

                    <!--                    <RelativeLayout-->
                    <!--                        android:layout_width="match_parent"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:layout_marginTop="@dimen/dp_14"-->
                    <!--                        android:paddingLeft="@dimen/dp_7"-->
                    <!--                        android:paddingRight="@dimen/dp_14">-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_delivery_man_phone_text"-->
                    <!--                            style="@style/otherOrderReceiving_title_textStyle"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            tools:text="派送員電話："-->
                    <!--                            android:layout_height="wrap_content" />-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_delivery_man_phone"-->
                    <!--                            style="@style/otherOrderReceiving_information_textStyle"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_alignParentRight="true"-->
                    <!--                            android:layout_toRightOf="@id/tv_delivery_man_phone_text"-->
                    <!--                            android:gravity="right" />-->

                    <!--                    </RelativeLayout>-->

                    <!--                    <RelativeLayout-->
                    <!--                        android:layout_width="match_parent"-->
                    <!--                        android:layout_height="wrap_content"-->
                    <!--                        android:layout_marginTop="@dimen/dp_14"-->
                    <!--                        android:paddingLeft="@dimen/dp_7"-->
                    <!--                        android:paddingRight="@dimen/dp_14">-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_delivery_num_text"-->
                    <!--                            style="@style/otherOrderReceiving_title_textStyle"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            tools:text="物流號："-->
                    <!--                            android:layout_height="wrap_content" />-->

                    <!--                        <TextView-->
                    <!--                            android:id="@+id/tv_delivery_num"-->
                    <!--                            style="@style/otherOrderReceiving_information_textStyle"-->
                    <!--                            android:layout_width="wrap_content"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_alignParentRight="true"-->
                    <!--                            android:layout_toRightOf="@id/tv_delivery_num_text"-->
                    <!--                            android:gravity="right" />-->
                    <!--                    </RelativeLayout>-->

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@drawable/shape_white_eight_corners_bg"
                    android:orientation="vertical"
                    android:paddingBottom="@dimen/dp_10">

                    <TextView
                        android:id="@+id/tv_food_details_text"
                        style="@style/order_details_title_Style"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_10"
                        android:text="商品詳情" />

                    <include layout="@layout/include_horizontal_color_eee_dividing_line" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_food"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:layout_marginRight="@dimen/other_order_info_dialog_content_marginRight"
                        android:layout_marginBottom="@dimen/dp_10" />

                    <include layout="@layout/include_horizontal_color_eee_dividing_line" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                        <TextView
                            android:id="@+id/tv_total_text"
                            style="@style/otherOrder_bill_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="right"
                            android:text="合計:" />

                        <TextView
                            android:id="@+id/tv_total"
                            style="@style/otherOrder_bill_info_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_total_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                        <TextView
                            android:id="@+id/tv_lunchbox_cost_text"
                            style="@style/otherOrder_bill_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="餐盒費:" />

                        <TextView
                            android:id="@+id/tv_lunchbox_cost"
                            style="@style/otherOrder_bill_info_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_lunchbox_cost_text"
                            android:gravity="right" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                        <TextView
                            android:id="@+id/tv_delivery_fee_text"
                            style="@style/otherOrder_bill_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="送貨費:" />

                        <TextView
                            android:id="@+id/tv_delivery_fee"
                            style="@style/otherOrder_bill_info_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_delivery_fee_text"
                            android:gravity="right" />
                    </RelativeLayout>

                    <LinearLayout
                        android:id="@+id/layout_discount"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                        <TextView
                            android:id="@+id/tv_total_amount_text2"
                            style="@style/otherOrder_bill_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="總金額:" />

                        <TextView
                            android:id="@+id/tv_total_amount2"
                            style="@style/otherOrder_bill_info_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_total_amount_text2"
                            android:gravity="right" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                        <TextView
                            android:id="@+id/tv_pay_amount_text"
                            style="@style/otherOrder_bill_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="支付金額:" />

                        <TextView
                            android:id="@+id/tv_pay_amount"
                            style="@style/otherOrder_bill_info_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_pay_amount_text"
                            android:gravity="right"
                            android:textColor="#FF0000" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:paddingLeft="@dimen/other_order_info_dialog_content_marginLeft"
                        android:paddingRight="@dimen/other_order_info_dialog_content_marginLeft">

                        <TextView
                            android:id="@+id/tv_pay_method_text"
                            style="@style/otherOrder_bill_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="支付方式:" />

                        <TextView
                            android:id="@+id/tv_pay_method"
                            style="@style/otherOrder_bill_info_textStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_toRightOf="@id/tv_pay_method_text"
                            android:gravity="right" />
                    </RelativeLayout>
                </LinearLayout>

            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </RelativeLayout>

</layout>